* debian/rules:
authorSam Hocevar <sam@videolan.org>
Sat, 21 Jun 2003 16:09:13 +0000 (16:09 +0000)
committerSam Hocevar <sam@videolan.org>
Sat, 21 Jun 2003 16:09:13 +0000 (16:09 +0000)
    + Use the -s flag instead of -a so that debhelper properly handles the
      i386-only plugin packages.
    + Split the build rule into configure and build.

debian/changelog
debian/control
debian/rules

index 53ad06a..d7152d0 100644 (file)
@@ -1,13 +1,16 @@
-vlc (0.5.3-4) unstable; urgency=low
+vlc (0.6.0-1) unstable; urgency=low
 
   * debian/rules:
     + Replaced $(DEB_BUILD_ARCH) with `dpkg-architecture -qDEB_BUILD_GNU_CPU`
       so that the rules can be called directly.
+    + Use the -s flag instead of -a so that debhelper properly handles the
+      i386-only plugin packages.
+    + Split the build rule into configure and build.
   * debian/control:
     + Removed leading "a"s from package descriptions.
     + Set policy to 3.5.10.
 
- -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  7 Jun 2003 17:46:36 +0200
+ -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 21 Jun 2003 17:55:07 +0200
 
 vlc (0.5.3-3) unstable; urgency=low
 
index ea20903..25daedf 100644 (file)
@@ -1,7 +1,7 @@
 Source: vlc
 Section: graphics
 Priority: optional
-Maintainer: Samuel Hocevar <sam@zoy.org>
+Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
 Build-Depends: debhelper (>=3.0), gettext, fortune-mod, xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>=0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi1-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, dvb-dev, libdv2-dev, libxosd-dev, svgalibg1-dev (>=1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev, libdvdplay0-dev (>=1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>=1.1.0)
 Build-Conflicts: libmpeg2-dev, libmpeg2-0-dev, libmpeg2-1-dev, libmpeg2-2-dev, libmpeg2-3-dev
 Standards-Version: 3.5.10
@@ -40,13 +40,6 @@ Description: GNOME frontend for VLC
  This plugin adds a GNOME interface to the VLC media player. To activate
  it, use the `--intf gnome' flag or run the `gnome-vlc' program.
 
-Package: vlc-gnome
-Section: gnome
-Architecture: any
-Depends: vlc, gnome-vlc
-Description: legacy package that you should remove
- This package is now called gnome-vlc.
-
 Package: gvlc
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -57,12 +50,6 @@ Description: GTK+ frontend for VLC
  This plugin adds a GTK+ interface to the VLC media player. To activate
  it, use the `--intf gtk' flag or run the `gvlc' program.
 
-Package: vlc-gtk
-Architecture: any
-Depends: vlc, gvlc
-Description: legacy package that you should remove
- This package is now called gvlc.
-
 Package: vlc-plugin-esd
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -73,12 +60,6 @@ Description: Esound audio output plugin for VLC
  media player. To activate it, use the `--aout esd' flag or select the
  `esd' audio output plugin from the preferences menu.
 
-Package: vlc-esd
-Architecture: any
-Depends: vlc, vlc-plugin-esd
-Description: legacy package that you should remove
- This package is now called vlc-plugin-esd.
-
 Package: vlc-plugin-alsa
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -89,12 +70,6 @@ Description: ALSA audio output plugin for VLC
  the VLC media player. To activate it, use the `--aout alsa' flag or
  select the `alsa' audio output plugin from the preferences menu.
 
-Package: vlc-alsa
-Architecture: any
-Depends: vlc, vlc-plugin-alsa
-Description: legacy package that you should remove
- This package is now called vlc-plugin-alsa.
-
 Package: vlc-plugin-sdl
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -106,12 +81,6 @@ Description: SDL video and audio output plugin for VLC
  `--aout sdl' flags or select the `sdl' video or audio output plugin
  from the preferences menu.
 
-Package: vlc-sdl
-Architecture: any
-Depends: vlc, vlc-plugin-sdl
-Description: legacy package that you should remove
- This package is now called vlc-plugin-sdl.
-
 Package: vlc-plugin-ggi
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -122,12 +91,6 @@ Description: GGI video output plugin for VLC
  the `--vout ggi' flag or select the `ggi' video output plugin from the
  preferences menu.
 
-Package: vlc-ggi
-Architecture: any
-Depends: vlc, vlc-plugin-ggi
-Description: legacy package that you should remove
- This package is now called vlc-plugin-ggi.
-
 Package: vlc-plugin-glide
 Architecture: i386
 Depends: vlc (= ${Source-Version}), libglide2
@@ -138,12 +101,6 @@ Description: Glide video output plugin for VLC
  it, use the `--vout glide' flag or select the `glide' video output
  plugin from the preferences menu.
 
-Package: vlc-glide
-Architecture: i386
-Depends: vlc, vlc-plugin-glide
-Description: legacy package that you should remove
- This package is now called vlc-plugin-glide.
-
 Package: qvlc
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -154,12 +111,6 @@ Description: Qt frontend for VLC
  This plugin adds a Qt interface to the VLC media player. To activate it,
  use the `--intf qt' flag or run the `qvlc' program.
 
-Package: vlc-qt
-Architecture: any
-Depends: vlc, qvlc
-Description: legacy package that you should remove
- This package is now called qvlc.
-
 Package: vlc-plugin-arts
 Architecture: any
 Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
@@ -209,3 +160,52 @@ Description: wxWindows frontend for VLC
  This plugin adds a wxWindow interface to the VLC media player. To
  activate it, use the `--intf wxwin' flag or run the `wxvlc' program.
 
+Package: vlc-alsa
+Architecture: any
+Depends: vlc, vlc-plugin-alsa
+Description: legacy package that you should remove
+ This package is now called vlc-plugin-alsa.
+
+Package: vlc-esd
+Architecture: any
+Depends: vlc, vlc-plugin-esd
+Description: legacy package that you should remove
+ This package is now called vlc-plugin-esd.
+
+Package: vlc-ggi
+Architecture: any
+Depends: vlc, vlc-plugin-ggi
+Description: legacy package that you should remove
+ This package is now called vlc-plugin-ggi.
+
+Package: vlc-glide
+Architecture: i386
+Depends: vlc, vlc-plugin-glide
+Description: legacy package that you should remove
+ This package is now called vlc-plugin-glide.
+
+Package: vlc-gnome
+Section: gnome
+Architecture: any
+Depends: vlc, gnome-vlc
+Description: legacy package that you should remove
+ This package is now called gnome-vlc.
+
+Package: vlc-gtk
+Architecture: any
+Depends: vlc, gvlc
+Description: legacy package that you should remove
+ This package is now called gvlc.
+
+Package: vlc-qt
+Architecture: any
+Depends: vlc, qvlc
+Description: legacy package that you should remove
+ This package is now called qvlc.
+
+Package: vlc-sdl
+Architecture: any
+Depends: vlc, vlc-plugin-sdl
+Description: legacy package that you should remove
+ This package is now called vlc-plugin-sdl.
+
index 766b3ac..28edb35 100755 (executable)
@@ -12,8 +12,6 @@ export DH_COMPAT=3
 # Compilation options
 #
 
-ARCH_EXCLUDE =
-
 CONFIG_FLAGS = --enable-release --prefix=/usr
 CONFIG_FLAGS += \
        --enable-gnome \
@@ -54,9 +52,6 @@ CONFIG_FLAGS += --enable-libmpeg2 --with-libmpeg2-tree=extras/mpeg2dec
 ifeq ($(shell dpkg-architecture -qDEB_BUILD_GNU_CPU),i386)
 CONFIG_FLAGS += --enable-glide
 CONFIG_FLAGS += --enable-svgalib
-else
-ARCH_EXCLUDE += -Nvlc-plugin-glide -Nvlc-glide
-ARCH_EXCLUDE += -Nvlc-plugin-svgalib
 endif
 
 # Remove --without-dvdcss in non-totalitarian countries
@@ -71,8 +66,8 @@ GNOMEDIR = usr/share/gnome/apps/Multimedia
 # Build rules
 #
 
-build: build-stamp
-build-stamp:
+configure: configure-stamp
+configure-stamp:
        dh_testdir
 
        # Touch stuff
@@ -124,6 +119,12 @@ build-stamp:
        ./configure --mandir=$${prefix}/share/man \
                --infodir=$${prefix}/share/info $(CONFIG_FLAGS)
 
+       touch configure-stamp
+
+build: configure-stamp build-stamp
+build-stamp:
+       dh_testdir
+
        # Build only VLC, with the non-PIC libs
        $(MAKE) vlc
 
@@ -161,7 +162,7 @@ endif
 clean:
        dh_testdir
        dh_testroot
-       rm -f build-stamp
+       rm -f configure-stamp build-stamp
 
        # Check that we have an ffmpeg tree in here (can be a symlink)
        test -d extras/ffmpeg
@@ -350,24 +351,24 @@ binary-arch: build install
 #      dh_installdebconf       
        dh_installdocs -p vlc
 #      dh_installexamples
-       dh_installmenu
-       dh_installmime
+       dh_installmenu -s
+       dh_installmime -s
        dh_installman doc/vlc.1 -p vlc
        dh_installman doc/vlc-config.1 -p libvlc0-dev
 #      dh_installchangelogs ChangeLog -p vlc
        cp ChangeLog debian/vlc/usr/share/doc/vlc/changelog
        cp debian/changelog debian/vlc/usr/share/doc/vlc/changelog.Debian
-       dh_link
-       dh_strip
-       dh_compress
-       dh_fixperms
-       dh_makeshlibs
-       dh_installdeb
+       dh_link -s
+       dh_strip -s
+       dh_compress -s
+       dh_fixperms -s
+       dh_makeshlibs -s
+       dh_installdeb -s
 #      dh_perl
-       dh_shlibdeps $(ARCH_EXCLUDE)
-       dh_gencontrol $(ARCH_EXCLUDE)
-       dh_md5sums $(ARCH_EXCLUDE)
-       dh_builddeb $(ARCH_EXCLUDE)
+       dh_shlibdeps -s
+       dh_gencontrol -s
+       dh_md5sums -s
+       dh_builddeb -s
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install